/*
 * Author: John Monahan <www.S100Computers.com>  12/23/2016
 * Simple LED test on Edison S100 Board.
 * The Diagnostic LED1(D4) should pulse on/off 20 times
 * Uses SPARE3 (pin 28) as input on 1508 CPLD U6
 */

#include "mraa.h"
#include <stdio.h>
#include <unistd.h>

#define FALSE 0
#define TRUE 1
#define LOW 0
#define HIGH 1
#define SPARE3 40


int main()
{
mraa_gpio_context LED_pin;
LED_pin = mraa_gpio_init(SPARE3);
mraa_gpio_dir(LED_pin, MRAA_GPIO_OUT);

while(TRUE)
	{
	mraa_gpio_write(LED_pin,LOW);
	usleep(100000);
	mraa_gpio_write(LED_pin,HIGH);
	usleep(100000);
	}
}


